org.apache.felix.bundlerepository

## Interface Property

All Known Implementing Classes:
  PropertyImpl

    public interface Property

### Field Summary

Fields
`static java.lang.String` `DOUBLE`
`static java.lang.String` `LONG`
`static java.lang.String` `SET`
`static java.lang.String` `URI`
`static java.lang.String` `URL`
`static java.lang.String` `VERSION`

### Method Summary

Methods
`java.lang.Object` `getConvertedValue()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`

### Field Detail

#### VERSION

    static final java.lang.String VERSION

See Also:
  Constant Field Values

#### URL

    static final java.lang.String URL

See Also:
  Constant Field Values

#### URI

    static final java.lang.String URI

See Also:
  Constant Field Values

#### LONG

    static final java.lang.String LONG

See Also:
  Constant Field Values

#### DOUBLE

    static final java.lang.String DOUBLE

See Also:
  Constant Field Values

#### SET

    static final java.lang.String SET

See Also:
  Constant Field Values

### Method Detail

#### getName

    java.lang.String getName()

#### getType

    java.lang.String getType()

#### getValue

    java.lang.String getValue()

#### getConvertedValue

    java.lang.Object getConvertedValue()